Update cloudEventExample and add QoL changes
QoL changes:
- script in docker-compose dir to copy, rename file and replace
placeholder of sql schema from generator to docker-compose
sql_scripts
- script in pgsql generator to copy yang models from teiv
- added docker container that produces a kafka event to add
data to TEIV
Issue-ID: SMO-???
Change-Id: Id0f94f79efbc2928a5d278bc7e0fc9f077aac5d4
Signed-off-by: JvD_Ericsson <jeff.van.dam@est.tech>
diff --git a/pgsql-schema-generator/copyYangFiles.sh b/pgsql-schema-generator/copyYangFiles.sh
new file mode 100644
index 0000000..996cb7d
--- /dev/null
+++ b/pgsql-schema-generator/copyYangFiles.sh
@@ -0,0 +1,34 @@
+#! /bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2024 Ericsson
+# Modifications Copyright (C) 2024 OpenInfra Foundation Europe
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+
+set -e
+
+SOURCE_DIR="../teiv/src/main/resources/models"
+TARGET_DIR="./src/main/resources/generate-defaults"
+
+mkdir -p "$TARGET_DIR"
+
+if [ "$(ls -A "$SOURCE_DIR")" ]; then
+ cp -r "$SOURCE_DIR"/* "$TARGET_DIR"
+else
+ echo "Source directory is empty or does not exist."
+fi
\ No newline at end of file